/***********************
        HEADER
***********************/

header {
  background: #f7f5f2;
  position: fixed;
  top: 0;
  z-index: 999;
  width: 100%;
}

#nav {
  display: flex;
  justify-content: flex-start;
  transition: 0.4s all;
}

.nav li {
  display: flex;
  list-style: none;
  padding: 10px 20px;
}

.nav li a {
  color: var(--color-dark);
  font-size: 14px;
  position: relative;
}

.nav li a::after {
  content: "";
  width: 100%;
  height: 2px;
  display: block;
  background: var(--color-primary);
  position: absolute;
  bottom: -30px;
  opacity: 0;
  transition: 0.3s all;
  margin-left: -20px;
}

.nav li a:hover::after {
  opacity: 1;
  margin-left: 0px;
}

.logo {
  display: flex;
  background: #00000000;
  padding: 20px 0px;
}

.logo img {
  height: 40px;
}

.logo:hover {
  opacity: 0.9;
}

.sub-menu {
  box-shadow: 0px 4px 5px #00000017;
}

.menu-item-has-children {
  position: relative;
}

.menu-item-has-children ul {
  display: flex;
  flex-direction: column;
  position: absolute;
  width: 350px;
  top: 65px;
  left: -110px;
  max-height: 0;
  background: var(--color-white);
  overflow: hidden;
  transition: 0.4s;
  border-radius: 20px;
}

.menu-item-has-children ul li {
  padding: 5px 30px;
  margin: 10px 0px;
}

.menu-item-has-children ul li::after {
  content: "";
  height: 1px;
  width: 80%;
  display: block;
  background: #f3f3f3;
  position: absolute;
  margin-top: 50px;
}

.menu-item-has-children ul li a {
  width: 100%;
  display: flex;
  color: var(--color-dark);
  align-items: center;
}

.menu-item-has-children ul li img {
  margin-right: 10px;
  background: var(--color-dark);
  padding: 6px 5px;
  border-radius: 20px;
}

.menu-item-has-children ul li a:hover img {
  background: #20656a;
}

.menu-item-has-children ul li a::after {
  content: "\e905";
  font-family: "mrz-iconset";
  display: block;
  position: absolute;
  right: 40px;
  color: var(--color-white);
  transition: 0.2s all;
}

.menu-item-has-children ul li a:hover::after {
  right: 30px;
  color: var(--color-complimentary);
}

.menu-item-has-children ul li a:hover {
  color: var(--color-primary);
}

.menu-item-has-children:after {
  content: "\e906";
  font-family: "mrz-iconset";
  margin-left: 8px;
  position: relative;
  height: 10px;
  padding: 2px;
  font-size: 10px;
  top: 3px;
  transition: transform 0.4s;
  transform-origin: 50% 45%;
  color: var(--color-light);
}

.menu-item-has-children:hover ul {
  max-height: 650px;
}

.menu-item-has-children:hover:after {
  transform: rotate(-180deg);
}

.mega-menu {
  position: relative;
}

.mega-menu .sub-menu {
  position: absolute;
  width: 900px;
  left: -900px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.mega-menu:hover ul {
  max-height: 200px;
}

.menu-col {
  width: 25%;
  overflow: hidden;
  padding: 0px;
  text-align: center;
}

.menu-col:hover {
  background-color: var(--color-light);
  border-radius: 5px;
}

.menu-col img {
  width: 100%;
  object-fit: contain;
  border-radius: 5px;
}
